Subject: Re: bug#17170: 24.3.50; debug: Terminal 3 is locked, cannot read from it

From: Eli Zaretskii <[email-masked]>
Date: Fri, 20 Mar 2015 19:47:21 +0200

> Date: Fri, 20 Mar 2015 17:55:20 +0100
> From: Nicolas Richard <[email-masked]>
> CC: [email-masked]
> 
> Le 20/03/2015 17:42, Eli Zaretskii a écrit :
> >> Date: Fri, 20 Mar 2015 16:47:50 +0100
> >> From: Nicolas Richard <[email-masked]>
> >> CC: [email-masked]
> >> 
> >> I'll appreciate any help. I guess I should somehow detect when/why emacs tries to access that initial frame, F1, but where would I hook ?
> > 
> > Hard to tell.  Can you be more specific about "access that frame"?
> > What kind of access are we talking about?
> 
> IMO that frame should not ever be used for displaying a buffer

Why not?  Isn't it just a regular frame?

> > What happens if you delete that frame?
> 
> I did (delete-frame (cadr (frame-list))), and now I can't delete my GUI frame anymore : if I do "C-x C-c", emacs asks me if I want to exit emacs. If I do C-x 5 0, I get:
> Debugger entered--Lisp error: (error "Attempt to delete the sole visible or iconified frame")

That's expected, but the question is does the problem go away?